Skip to main content
PUT
/
v1
/
admin
/
platform-keys
Set a platform LLM key
curl --request PUT \
  --url https://api.usezombie.com/v1/admin/platform-keys \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "provider": "<string>",
  "source_workspace_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'
{
  "provider": "<string>",
  "source_workspace_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "active": true,
  "request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}

Authorizations

Authorization
string
header
required

Obtain a token via the CLI auth flow (POST /v1/auth/sessions) or GitHub OAuth

Body

application/json
provider
string
required

LLM provider name (e.g. openai, anthropic)

source_workspace_id
string<uuid>
required

Workspace whose BYOK key to use as the platform key

Response

Platform key configured

provider
string
required
source_workspace_id
string<uuid>
required
active
boolean
required
request_id
string<uuid>
required